from dataclasses import dataclass
from typing import List, TypeAlias

# Custom typing
Symbol: TypeAlias = str | List[str]

@dataclass(frozen=True)
class Receptors:

    @dataclass(frozen=True)
    class TollLikeReceptors:
        TLR1: Symbol = "TLR1"
        TLR2: Symbol = "TLR2"
        TLR3: Symbol = "TLR3"
        TLR4: Symbol = "TLR4"
        TLR5: Symbol = "TLR5"
        TLR6: Symbol = "TLR6"
        TLR7: Symbol = "TLR7"
        TLR8: Symbol = "TLR8"
        TLR9: Symbol = "TLR9"
        TLR10: Symbol = "TLR10"
        TLR11: Symbol = "TLR11"
        TLR12: Symbol = "TLR12"
        TLR13: Symbol = "TLR13"
        TLR14: Symbol = "TLR14"

    @dataclass(frozen=True)
    class NodLikeReceptors:

        @dataclass(frozen=True)
        class NODs:
            NOD1: Symbol ="NOD1"
            NOD2: Symbol = "NOD2"
            NOD3: Symbol = "NOD3"
            NLRC3 = NOD3
            NOD4: Symbol = "NOD4"
            NLRC5 = NOD4
            NOD5: Symbol = "NOD5"
            NLRX1 = NOD5
            CIITA: Symbol = "CIITA"

        @dataclass(frozen=True)
        class NLRPs:
            NLRP1: Symbol = "NLRP1"
            NLRP2: Symbol = "NLRP2"
            NLRP3: Symbol = "NLRP3"
            NLRP4: Symbol = "NLRP4"
            NLRP5: Symbol = "NLRP5"
            NLRP6: Symbol = "NLRP6"
            NLRP7: Symbol = "NLRP7"
            NLRP8: Symbol = "NLRP8"
            NLRP9: Symbol = "NLRP9"
            NLRP10: Symbol = "NLRP10"
            NLRP11: Symbol = "NLRP11"
            NLRP12: Symbol = "NLRP12"
            NLRP13: Symbol = "NLRP13"
            NLRP14: Symbol = "NLRP14"

    @dataclass(frozen=True)
    class ClustersOfDifferentiation:
        CD_1: Symbol = "CD-1"
        CD_2: Symbol = "CD-2"
        CD_3: Symbol = "CD-3"
        CD_4: Symbol = "CD-4"
        CD_5: Symbol = "CD-5"
        CD_6: Symbol = "CD-6"
        CD_7: Symbol = "CD-7"
        CD_8: Symbol = "CD-8"
        CD_9: Symbol = "CD-9"
        CD_10: Symbol = "CD-10"
        CD_11: Symbol = "CD-11"
        CD_12: Symbol = "CD-12"
        CD_13: Symbol = "CD-13"
        CD_14: Symbol = "CD-14"
        CD_15: Symbol = "CD-15"
        CD_16: Symbol = "CD-16"
        CD_17: Symbol = "CD-17"
        CD_18: Symbol = "CD-18"
        CD_19: Symbol = "CD-19"
        CD_20: Symbol = "CD-20"
        CD_21: Symbol = "CD-21"
        CD_22: Symbol = "CD-22"
        CD_23: Symbol = "CD-23"
        CD_24: Symbol = "CD-24"
        CD_25: Symbol = "CD-25"
        CD_26: Symbol = "CD-26"
        CD_27: Symbol = "CD-27"
        CD_28: Symbol = "CD-28"
        CD_29: Symbol = "CD-29"
        CD_30: Symbol = "CD-30"
        CD_31: Symbol = "CD-31"
        CD_32: Symbol = "CD-32"
        CD_33: Symbol = "CD-33"
        CD_34: Symbol = "CD-34"
        CD_35: Symbol = "CD-35"
        CD_36: Symbol = "CD-36"
        CD_37: Symbol = "CD-37"
        CD_38: Symbol = "CD-38"
        CD_39: Symbol = "CD-39"
        CD_40: Symbol = "CD-40"
        CD_41: Symbol = "CD-41"
        CD_42: Symbol = "CD-42"
        CD_43: Symbol = "CD-43"
        CD_44: Symbol = "CD-44"
        CD_45: Symbol = "CD-45"
        CD_46: Symbol = "CD-46"
        CD_47: Symbol = "CD-47"
        CD_48: Symbol = "CD-48"
        CD_49: Symbol = "CD-49"
        CD_50: Symbol = "CD-50"
        CD_51: Symbol = "CD-51"
        CD_52: Symbol = "CD-52"
        CD_53: Symbol = "CD-53"
        CD_54: Symbol = "CD-54"
        CD_55: Symbol = "CD-55"
        CD_56: Symbol = "CD-56"
        CD_57: Symbol = "CD-57"
        CD_58: Symbol = "CD-58"
        CD_59: Symbol = "CD-59"
        CD_60: Symbol = "CD-60"
        CD_61: Symbol = "CD-61"
        CD_62: Symbol = "CD-62"
        CD_63: Symbol = "CD-63"
        CD_64: Symbol = "CD-64"
        CD_65: Symbol = "CD-65"
        CD_66: Symbol = "CD-66"
        CD_67: Symbol = "CD-67"
        CD_68: Symbol = "CD-68"
        CD_69: Symbol = "CD-69"
        CD_70: Symbol = "CD-70"
        CD_71: Symbol = "CD-71"
        CD_72: Symbol = "CD-72"
        CD_73: Symbol = "CD-73"
        CD_74: Symbol = "CD-74"
        CD_75: Symbol = "CD-75"
        CD_76: Symbol = "CD-76"
        CD_77: Symbol = "CD-77"
        CD_78: Symbol = "CD-78"
        CD_79: Symbol = "CD-79"
        CD_80: Symbol = "CD-80"
        CD_81: Symbol = "CD-81"
        CD_82: Symbol = "CD-82"
        CD_83: Symbol = "CD-83"
        CD_84: Symbol = "CD-84"
        CD_85: Symbol = "CD-85"
        CD_86: Symbol = "CD-86"
        CD_87: Symbol = "CD-87"
        CD_88: Symbol = "CD-88"
        CD_89: Symbol = "CD-89"
        CD_90: Symbol = "CD-90"
        CD_91: Symbol = "CD-91"
        CD_92: Symbol = "CD-92"
        CD_93: Symbol = "CD-93"
        CD_94: Symbol = "CD-94"
        CD_95: Symbol = "CD-95"
        CD_96: Symbol = "CD-96"
        CD_97: Symbol = "CD-97"
        CD_98: Symbol = "CD-98"
        CD_99: Symbol = "CD-99"
        CD_100: Symbol = "CD-100"
        CD_101: Symbol = "CD-101"
        CD_102: Symbol = "CD-102"
        CD_103: Symbol = "CD-103"
        CD_104: Symbol = "CD-104"
        CD_105: Symbol = "CD-105"
        CD_106: Symbol = "CD-106"
        CD_107: Symbol = "CD-107"
        CD_108: Symbol = "CD-108"
        CD_109: Symbol = "CD-109"
        CD_110: Symbol = "CD-110"
        CD_111: Symbol = "CD-111"
        CD_112: Symbol = "CD-112"
        CD_113: Symbol = "CD-113"
        CD_114: Symbol = "CD-114"
        CD_115: Symbol = "CD-115"
        CD_116: Symbol = "CD-116"
        CD_117: Symbol = "CD-117"
        CD_118: Symbol = "CD-118"
        CD_119: Symbol = "CD-119"
        CD_120: Symbol = "CD-120"
        CD_121: Symbol = "CD-121"
        CD_122: Symbol = "CD-122"
        CD_123: Symbol = "CD-123"
        CD_124: Symbol = "CD-124"
        CD_125: Symbol = "CD-125"
        CD_126: Symbol = "CD-126"
        CD_127: Symbol = "CD-127"
        CD_128: Symbol = "CD-128"
        CD_129: Symbol = "CD-129"
        CD_130: Symbol = "CD-130"
        CD_131: Symbol = "CD-131"
        CD_132: Symbol = "CD-132"
        CD_133: Symbol = "CD-133"
        CD_134: Symbol = "CD-134"
        CD_135: Symbol = "CD-135"
        CD_136: Symbol = "CD-136"
        CD_137: Symbol = "CD-137"
        CD_138: Symbol = "CD-138"
        CD_139: Symbol = "CD-139"
        CD_140: Symbol = "CD-140"
        CD_141: Symbol = "CD-141"
        CD_142: Symbol = "CD-142"
        CD_143: Symbol = "CD-143"
        CD_144: Symbol = "CD-144"
        CD_145: Symbol = "CD-145"
        CD_146: Symbol = "CD-146"
        CD_147: Symbol = "CD-147"
        CD_148: Symbol = "CD-148"
        CD_149: Symbol = "CD-149"
        CD_150: Symbol = "CD-150"
        CD_151: Symbol = "CD-151"
        CD_152: Symbol = "CD-152"
        CD_153: Symbol = "CD-153"
        CD_154: Symbol = "CD-154"
        CD_155: Symbol = "CD-155"
        CD_156: Symbol = "CD-156"
        CD_157: Symbol = "CD-157"
        CD_158: Symbol = "CD-158"
        CD_159: Symbol = "CD-159"
        CD_160: Symbol = "CD-160"
        CD_161: Symbol = "CD-161"
        CD_162: Symbol = "CD-162"
        CD_163: Symbol = "CD-163"
        CD_164: Symbol = "CD-164"
        CD_165: Symbol = "CD-165"
        CD_166: Symbol = "CD-166"
        CD_167: Symbol = "CD-167"
        CD_168: Symbol = "CD-168"
        CD_169: Symbol = "CD-169"
        CD_170: Symbol = "CD-170"
        CD_171: Symbol = "CD-171"
        CD_172: Symbol = "CD-172"
        CD_173: Symbol = "CD-173"
        CD_174: Symbol = "CD-174"
        CD_175: Symbol = "CD-175"
        CD_176: Symbol = "CD-176"
        CD_177: Symbol = "CD-177"
        CD_178: Symbol = "CD-178"
        CD_179: Symbol = "CD-179"
        CD_180: Symbol = "CD-180"
        CD_181: Symbol = "CD-181"
        CD_182: Symbol = "CD-182"
        CD_183: Symbol = "CD-183"
        CD_184: Symbol = "CD-184"
        CD_185: Symbol = "CD-185"
        CD_186: Symbol = "CD-186"
        CD_187: Symbol = "CD-187"
        CD_188: Symbol = "CD-188"
        CD_189: Symbol = "CD-189"
        CD_190: Symbol = "CD-190"
        CD_191: Symbol = "CD-191"
        CD_192: Symbol = "CD-192"
        CD_193: Symbol = "CD-193"
        CD_194: Symbol = "CD-194"
        CD_195: Symbol = "CD-195"
        CD_196: Symbol = "CD-196"
        CD_197: Symbol = "CD-197"
        CD_198: Symbol = "CD-198"
        CD_199: Symbol = "CD-199"
        CD_200: Symbol = "CD-200"
        CD_201: Symbol = "CD-201"
        CD_202: Symbol = "CD-202"
        CD_203: Symbol = "CD-203"
        CD_204: Symbol = "CD-204"
        CD_205: Symbol = "CD-205"
        CD_206: Symbol = "CD-206"
        CD_207: Symbol = "CD-207"
        CD_208: Symbol = "CD-208"
        CD_209: Symbol = "CD-209"
        CD_210: Symbol = "CD-210"
        CD_211: Symbol = "CD-211"
        CD_212: Symbol = "CD-212"
        CD_213: Symbol = "CD-213"
        CD_214: Symbol = "CD-214"
        CD_215: Symbol = "CD-215"
        CD_216: Symbol = "CD-216"
        CD_217: Symbol = "CD-217"
        CD_218: Symbol = "CD-218"
        CD_219: Symbol = "CD-219"
        CD_220: Symbol = "CD-220"
        CD_221: Symbol = "CD-221"
        CD_222: Symbol = "CD-222"
        CD_223: Symbol = "CD-223"
        CD_224: Symbol = "CD-224"
        CD_225: Symbol = "CD-225"
        CD_226: Symbol = "CD-226"
        CD_227: Symbol = "CD-227"
        CD_228: Symbol = "CD-228"
        CD_229: Symbol = "CD-229"
        CD_230: Symbol = "CD-230"
        CD_231: Symbol = "CD-231"
        CD_232: Symbol = "CD-232"
        CD_233: Symbol = "CD-233"
        CD_234: Symbol = "CD-234"
        CD_235: Symbol = "CD-235"
        CD_236: Symbol = "CD-236"
        CD_237: Symbol = "CD-237"
        CD_238: Symbol = "CD-238"
        CD_239: Symbol = "CD-239"
        CD_240: Symbol = "CD-240"
        CD_241: Symbol = "CD-241"
        CD_242: Symbol = "CD-242"
        CD_243: Symbol = "CD-243"
        CD_244: Symbol = "CD-244"
        CD_245: Symbol = "CD-245"
        CD_246: Symbol = "CD-246"
        CD_247: Symbol = "CD-247"
        CD_248: Symbol = "CD-248"
        CD_249: Symbol = "CD-249"
        CD_250: Symbol = "CD-250"
        CD_251: Symbol = "CD-251"
        CD_252: Symbol = "CD-252"
        CD_253: Symbol = "CD-253"
        CD_254: Symbol = "CD-254"
        CD_255: Symbol = "CD-255"
        CD_256: Symbol = "CD-256"
        CD_257: Symbol = "CD-257"
        CD_258: Symbol = "CD-258"
        CD_259: Symbol = "CD-259"
        CD_260: Symbol = "CD-260"
        CD_261: Symbol = "CD-261"
        CD_262: Symbol = "CD-262"
        CD_263: Symbol = "CD-263"
        CD_264: Symbol = "CD-264"
        CD_265: Symbol = "CD-265"
        CD_266: Symbol = "CD-266"
        CD_267: Symbol = "CD-267"
        CD_268: Symbol = "CD-268"
        CD_269: Symbol = "CD-269"
        CD_270: Symbol = "CD-270"
        CD_271: Symbol = "CD-271"
        CD_272: Symbol = "CD-272"
        CD_273: Symbol = "CD-273"
        CD_274: Symbol = "CD-274"
        CD_275: Symbol = "CD-275"
        CD_276: Symbol = "CD-276"
        CD_277: Symbol = "CD-277"
        CD_278: Symbol = "CD-278"
        CD_279: Symbol = "CD-279"
        CD_280: Symbol = "CD-280"
        CD_281: Symbol = "CD-281"
        CD_282: Symbol = "CD-282"
        CD_283: Symbol = "CD-283"
        CD_284: Symbol = "CD-284"
        CD_285: Symbol = "CD-285"
        CD_286: Symbol = "CD-286"
        CD_287: Symbol = "CD-287"
        CD_288: Symbol = "CD-288"
        CD_289: Symbol = "CD-289"
        CD_290: Symbol = "CD-290"
        CD_291: Symbol = "CD-291"
        CD_292: Symbol = "CD-292"
        CD_293: Symbol = "CD-293"
        CD_294: Symbol = "CD-294"
        CD_295: Symbol = "CD-295"
        CD_296: Symbol = "CD-296"
        CD_297: Symbol = "CD-297"
        CD_298: Symbol = "CD-298"
        CD_299: Symbol = "CD-299"
        CD_300: Symbol = "CD-300"
        CD_301: Symbol = "CD-301"
        CD_302: Symbol = "CD-302"
        CD_303: Symbol = "CD-303"
        CD_304: Symbol = "CD-304"
        CD_305: Symbol = "CD-305"
        CD_306: Symbol = "CD-306"
        CD_307: Symbol = "CD-307"
        CD_308: Symbol = "CD-308"
        CD_309: Symbol = "CD-309"
        CD_310: Symbol = "CD-310"
        CD_311: Symbol = "CD-311"
        CD_312: Symbol = "CD-312"
        CD_313: Symbol = "CD-313"
        CD_314: Symbol = "CD-314"
        CD_315: Symbol = "CD-315"
        CD_316: Symbol = "CD-316"
        CD_317: Symbol = "CD-317"
        CD_318: Symbol = "CD-318"
        CD_319: Symbol = "CD-319"
        CD_320: Symbol = "CD-320"
        CD_321: Symbol = "CD-321"
        CD_322: Symbol = "CD-322"
        CD_323: Symbol = "CD-323"
        CD_324: Symbol = "CD-324"
        CD_325: Symbol = "CD-325"
        CD_326: Symbol = "CD-326"
        CD_327: Symbol = "CD-327"
        CD_328: Symbol = "CD-328"
        CD_329: Symbol = "CD-329"
        CD_330: Symbol = "CD-330"
        CD_331: Symbol = "CD-331"
        CD_332: Symbol = "CD-332"
        CD_333: Symbol = "CD-333"
        CD_334: Symbol = "CD-334"
        CD_335: Symbol = "CD-335"
        CD_336: Symbol = "CD-336"
        CD_337: Symbol = "CD-337"
        CD_338: Symbol = "CD-338"
        CD_339: Symbol = "CD-339"
        CD_340: Symbol = "CD-340"
        CD_341: Symbol = "CD-341"
        CD_342: Symbol = "CD-342"
        CD_343: Symbol = "CD-343"
        CD_344: Symbol = "CD-344"
        CD_345: Symbol = "CD-345"
        CD_346: Symbol = "CD-346"
        CD_347: Symbol = "CD-347"
        CD_348: Symbol = "CD-348"
        CD_349: Symbol = "CD-349"
        CD_350: Symbol = "CD-350"
        CD_351: Symbol = "CD-351"
        CD_352: Symbol = "CD-352"
        CD_353: Symbol = "CD-353"
        CD_354: Symbol = "CD-354"
        CD_355: Symbol = "CD-355"
        CD_356: Symbol = "CD-356"
        CD_357: Symbol = "CD-357"
        CD_358: Symbol = "CD-358"
        CD_359: Symbol = "CD-359"
        CD_360: Symbol = "CD-360"
        CD_361: Symbol = "CD-361"
        CD_362: Symbol = "CD-362"
        CD_363: Symbol = "CD-363"
        CD_364: Symbol = "CD-364"
        CD_365: Symbol = "CD-365"
        CD_366: Symbol = "CD-366"
        CD_367: Symbol = "CD-367"
        CD_368: Symbol = "CD-368"
        CD_369: Symbol = "CD-369"
        CD_370: Symbol = "CD-370"
        CD_371: Symbol = "CD-371"